"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function sessionMiddleware(storage) {
    return async (context, next) => {
        const id = context.data.session.session_id;
        const session = await storage.getOrCreate(id);
        const sessionContext = {
            ...context,
            session,
        };
        return next ? next(sessionContext) : null;
    };
}
exports.sessionMiddleware = sessionMiddleware;
